Data Sources - Delete
刪除數據源。
DELETE {endpoint}/datasources('{dataSourceName}')?api-version=2023-10-01-Preview
URI 參數
| 名稱 | 位於 | 必要 | 類型 | Description |
|---|---|---|---|---|
|
data
|
path | True |
string |
要刪除的數據來源名稱。 |
|
endpoint
|
path | True |
string |
搜尋服務的端點 URL。 |
|
api-version
|
query | True |
string |
用戶端 API 版本。 |
要求標頭
| 名稱 | 必要 | 類型 | Description |
|---|---|---|---|
| x-ms-client-request-id |
string (uuid) |
隨要求一起傳送的追蹤標識碼,以協助偵錯。 |
|
| If-Match |
string |
定義 If-Match 條件。 只有在伺服器上的 ETag 符合此值時,才會執行此作業。 |
|
| If-None-Match |
string |
定義 If-None-Match 條件。 只有在伺服器上的 ETag 不符合此值時,才會執行此作業。 |
回應
| 名稱 | 類型 | Description |
|---|---|---|
| 204 No Content | ||
| 404 Not Found | ||
| Other Status Codes |
錯誤回應。 |
範例
SearchServiceDeleteDataSource
範例要求
DELETE https://myservice.search.windows.net/datasources('mydatasource')?api-version=2023-10-01-Preview
範例回覆
定義
SearchError
描述 API 的錯誤狀況。
| 名稱 | 類型 | Description |
|---|---|---|
| code |
string |
其中一組伺服器定義的錯誤碼。 |
| details |
導致此錯誤之特定錯誤的詳細數據陣列。 |
|
| message |
string |
錯誤的人類可讀取表示法。 |